using System;

using Syntriax.Engine.Core.Abstract;

namespace Syntriax.Engine.Core;

public class CoroutineYield(Func<bool> condition) : ICoroutineYield
{
    private readonly Func<bool> condition = condition;

    public bool Yield() => condition.Invoke();
}
