namespace Syntriax.Engine.Systems.Time;

public interface ITicker : IStopwatch
{
    event TickerTickEventHandler? OnTick;

    int TickCounter { get; }
    double TickPeriod { get; set; }

    delegate void TickerTickEventHandler(ITicker sender);
}
